commit 2bde05b4f7dd9b0845bd3efc3befda11eb0ddfa3
Author: freddy77 <freddy77>
Date:   Sat Dec 20 19:13:41 2008 +0000

    fix small problem with small comments

diff --git a/ChangeLog b/ChangeLog
index 5333c55..66f10b3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Dec 20 20:13:33 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/commit: fix small problem with small comments
+
 Sat Dec 20 20:11:46 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/replacements/fakepoll.c: fix win32 portability issue
 
@@ -1132,4 +1135,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2695 2008/12/20 19:11:54 freddy77 Exp $
+$Id: ChangeLog,v 1.2696 2008/12/20 19:13:41 freddy77 Exp $
diff --git a/misc/commit b/misc/commit
index 5b0ea28..77afdf8 100755
--- a/misc/commit
+++ b/misc/commit
@@ -1,6 +1,6 @@
 #!/usr/bin/perl
 
-# $Id: commit,v 1.2 2008/12/19 19:22:17 freddy77 Exp $
+# $Id: commit,v 1.3 2008/12/20 19:13:41 freddy77 Exp $
 
 use strict;
 
@@ -20,7 +20,7 @@ die("cvs commit message required\n") if $cvsMessage eq '';
 die('setting local') if $?;
 
 # extract file changed
-open(CHANGES, 'cvs diff 2> /dev/null | lsdiff |') or die('gettting file changed');
+open(CHANGES, 'cvs diff 2> /dev/null | lsdiff |') or die('getting files changed');
 my %changes;
 while(<CHANGES>) {
 	chomp;
@@ -152,7 +152,7 @@ my @allFiles = ('ChangeLog');
 foreach my $ch (@changeLog) {
 	push @allFiles, @{$ch->{files}};
 	my $files = join(' ', @{$ch->{files}});
-	my $oneLine = "* $files: $ch->{comments}";
+	my $oneLine = "* $files: @{$ch->{comments}}";
 	if (scalar @{$ch->{comments}} == 1 && length($oneLine) + 8 <= $lineLimit) {
 		$norm .= "\t$oneLine\n"
 	} else {

